//
//  FetchFriendInfoOperation.m
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/9/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "FetchFriendInfoOperation.h"


@implementation FetchFriendInfoOperation

- (id) initWithBatchRequest:(NSMutableDictionary *)batchParams
{
	if (self = [super init])
	{
		_batchParams = [batchParams retain];
		_facebookApi = [[[FacebookApiManager sharedFacebookApiManager] cloneFacebookApi] retain];
	}
	return self;
}

#pragma mark -
#pragma mark NSOperation methods

- (void)main 
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

	[_facebookApi requestWithGraphPath:@"me" andParams:_batchParams andHttpMethod:@"POST" andDelegate:self]; // note: "me" is a dummy here

	[pool release];
}

#pragma mark -
#pragma mark FBRequestDelegate

- (void)request:(FBRequest *)request didFailWithError:(NSError *)error 
{
	trace();
	DLog(@"error = %@", [error description]);
}

- (void)request:(FBRequest *)request didLoad:(id)result 
{
	trace();
	
	// response from /friend.id
	NSLog(@"id=%@, name=%@", [result objectForKey:@"id"], [result objectForKey:@"name"]);
	NSLog(@"location=%@", [[result objectForKey:@"location"] objectForKey:@"name"]);
	
	/*
	NSDictionary *params = [NSDictionary dictionaryWithObjectsAndKeys:_friend, @"friend", nil];
	[[NSNotificationCenter defaultCenter] performSelectorOnMainThread:@selector(postNotification:) 
														   withObject:[NSNotification notificationWithName:kFriendDidLoadNotification object:self userInfo:params]
														waitUntilDone:NO];
	*/
}

@end
