//
//  Foundation+LoggingAdditions.h
//  PostyMcPost
//
//  Created by Vishal Kapur on 1/15/10.
//  Copyright 2010 maha::software. All rights reserved.
//


void NSLogRect(CGRect r);
void NSLogTrace(Class c,SEL s);

#ifdef DEBUG
//#define DLog(format, ...) NSLog((@"%s [Line %d] " format), __PRETTY_FUNCTION__, __LINE__, ##__VA_ARGS__)
#define DLog(format, ...) NSLog(format, ##__VA_ARGS__)
#define DLogRect(r) NSLogRect(r)
#define DLogTrace(c,s) NSLogTrace(c,s)
#define DLogLocal(format,...) DLog([NSStringFromClass([self class]) stringByAppendingFormat:@" : %@",format], ## __VA_ARGS__)
#else
#define DLog(format, ...)
#define DLogRect(r)
#define DLogTrace(c,s)
#define DLogLocal(format,...)
#endif

#ifdef TRACE
#define trace() DLogTrace([self class],_cmd)
#else
#define trace()
#endif