//
//  Friend.m
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/8/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "Friend.h"
#import "FilterViewController.h"

@implementation Friend

@synthesize friendID, name, profilePic, locationName, schoolNames, employerNames, activities, relationshipStatus;

- (void) dealloc
{
	[friendID release];
	[name release];
	[profilePic release];
	[locationName release];
	[schoolNames release];
	[employerNames release];
	[activities release];
	[relationshipStatus release];
	[super dealloc];
}

- (NSString *) profilePicURL
{
	return [NSString stringWithFormat:@"http://graph.facebook.com/%@/picture", friendID];
}

- (NSString *)valueForFilter:(NSInteger)filterRow
{
	switch (filterRow) {
		case FilterLocationRow:
			return self.locationName;
		case FilterSchoolRow:
			return self.schoolNames;
		case FilterEmployerRow:
			return self.employerNames;
			/*
		case FilterInterestsRow:
			return self.activities;
			 */
		case FilterRelationshipStatusRow:
			return self.relationshipStatus;
	}
	
	return nil;
}

- (NSComparisonResult) compareWithFriend:(Friend *)newFriend
{
	return [self.name caseInsensitiveCompare:newFriend.name];
}

@end
