//
//  MSImageLoadOperation.m
//  PostyMcPost
//
//  Created by Vishal Kapur on 1/16/10.
//  Copyright 2010 maha::software. All rights reserved.
//

#import "MSImageLoadOperation.h"


@implementation MSImageLoadOperation

#pragma mark -
#pragma mark init

@synthesize imageUrl = _imageUrl;
@synthesize indexPath = _indexPath;

- (id)initWithUrl:(NSString *)imageUrl {
	if (self = [super init]) {
		self.imageUrl = imageUrl;
	}
	return self;
}

- (void)dealloc {
	[_imageUrl release];
	[_indexPath release];
	[super dealloc];
}

#pragma mark -
#pragma mark NSOperation methods

- (void)main {
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	
	NSData *imageData = [[NSData alloc] initWithContentsOfURL:[NSURL URLWithString:self.imageUrl]];
	UIImage *loadedImage = [UIImage imageWithData:imageData];
//	DLog(@"loaded image for url: %@", self.imageUrl);

	/*
	if ([self.delegate respondsToSelector:@selector(imageDidLoad:forUrl:forIndexPath:)]) {
		[self.delegate imageDidLoad:loadedImage forUrl:self.imageUrl forIndexPath:self.indexPath];
	}
	 */
	
	NSDictionary *params = [NSDictionary dictionaryWithObjectsAndKeys:loadedImage, @"loadedImage", self.indexPath, @"indexPath", nil];
	[[NSNotificationCenter defaultCenter] performSelectorOnMainThread:@selector(postNotification:) 
														   withObject:[NSNotification notificationWithName:kMSImageDidLoadNotification object:self userInfo:params]
														waitUntilDone:NO];

	[pool drain];
}

@end
