//
//  MSInterfaceUtils.m
//  PostyMcPost
//
//  Created by Vishal Kapur on 11/25/09.
//  Copyright 2009 maha::software. All rights reserved.
//

#import "MSInterfaceUtils.h"


@implementation MSInterfaceUtils

// factory method to generate UILabel with given parameters
+ (UILabel *) newLabelWithPrimaryColor:(UIColor *)primaryColor selectedColor:(UIColor *)selectedColor fontName:(NSString *)fontName fontSize:(CGFloat)fontSize bold:(BOOL)bold {
	UIFont *font;
	if (fontName == nil) {
		if (bold) {
			font = [UIFont boldSystemFontOfSize:fontSize];
		}
		else {
			font = [UIFont systemFontOfSize:fontSize];
		}
	}
	else {
		font = [UIFont fontWithName:fontName size:fontSize];
	}
	
	UILabel *newLabel = [[UILabel alloc] initWithFrame:CGRectZero];
	newLabel.backgroundColor = [UIColor clearColor];
	newLabel.opaque = YES;
	newLabel.textColor = primaryColor;
	newLabel.highlightedTextColor = selectedColor;
	newLabel.font = font;
	
	return [newLabel autorelease];
}

+ (void)logFontNamesToConsole {
	NSArray *familyNames = [UIFont familyNames];
	for (NSString *familyName in familyNames) {
		DLog(@"familyName = %@", familyName);
		NSArray *fontNames = [UIFont fontNamesForFamilyName:familyName];
		for (NSString *fontName in fontNames) {
			DLog(@"fontName = %@", fontName);
		}
	}
}

@end
