//
//  MainBrowseViewController.h
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/8/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "FBConnect.h"
#import "Friend.h"
#import "FacebookApiManager.h"
#import "FilterViewController.h"

#define kLoadingSpinnerSize 25


@interface MainBrowseViewController : UITableViewController <FBDialogDelegate, FBRequestDelegate, FBSessionDelegate, FilterViewDelegate> {
	FacebookApiManager *_fbApiManager;
	NSOperationQueue *_thumbLoadQueue;

	NSMutableArray *_friendList;
	NSMutableArray *_filteredFriendList;
	int _totalFriendCount;
	BOOL _isLoadingFriendList;
	NSArray *_filters;
}

@property (nonatomic, retain) Facebook *facebookApi;

- (void) launchFetchOperationWithParams:(NSArray *)batchRequestArray;
- (void) facebookApiReady:(NSNotification *)note;
- (NSString *)extractSchoolNames:(NSArray *)educationArray;
- (NSString *)extractEmployerNames:(NSArray *)workArray;

@end
